#!/bin/sh

JAVA_HOME=${JAVA_HOME}
AGENT_HOME=${ZAGNT_HOME}
INSTANCE_HOME=${ZCONF_HOME}

if [ "$JAVA_HOME" != "" ]
then
	echo "> JAVA_HOME=$JAVA_HOME"
	RUN_JAVA="$JAVA_HOME/bin/java"
else
	RUN_JAVA="java"
fi

echo "> RUN_JAVA=$RUN_JAVA"
echo

ZENIUS_CLASSPATH="$AGENT_HOME/bpmagent.jar"
ZENIUS_CLASSPATH="$ZENIUS_CLASSPATH:$AGENT_HOME/bpmcommon.jar"
ZENIUS_CLASSPATH="$ZENIUS_CLASSPATH:$AGENT_HOME/suji.jar"
ZENIUS_CLASSPATH="$ZENIUS_CLASSPATH:$AGENT_HOME/sujiboot.jar"
ZENIUS_CLASSPATH="$ZENIUS_CLASSPATH:$AGENT_HOME/snakeyaml-1.18.jar"
ZENIUS_CLASSPATH="$ZENIUS_CLASSPATH:$AGENT_HOME/protobuf-3.2.0.jar"
ZENIUS_CLASSPATH="$ZENIUS_CLASSPATH:$AGENT_HOME/logback-core-1.1.7.jar"
ZENIUS_CLASSPATH="$ZENIUS_CLASSPATH:$AGENT_HOME/logback-classic-1.1.7.jar"
ZENIUS_CLASSPATH="$ZENIUS_CLASSPATH:$AGENT_HOME/slf4j-api-1.7.21.jar"
ZENIUS_CLASSPATH="$ZENIUS_CLASSPATH:$AGENT_HOME/jsoup-1.11.2-jdk1.6.jar"

ZENIUS_OPTIONS="$ZENIUS_OPTIONS -DagentDir=$INSTANCE_HOME"
#ZENIUS_OPTIONS="$ZENIUS_OPTIONS -Dconfig=$INSTANCE_HOME/config.yaml"

echo $RUN_JAVA -cp $ZENIUS_CLASSPATH $ZENIUS_OPTIONS com.brainzsquare.tools.ExMon $1 $2 $3

$RUN_JAVA -cp $ZENIUS_CLASSPATH $ZENIUS_OPTIONS com.brainzsquare.tools.ExMon $1 $2 $3


